@echo off
set var=%1
set type=%var:~0,1%
set year=%var:~1,2%
set month=%var:~3,2%
set day=%var:~5,2%
set order=%var:~7,3%

set var2=%2
set type2=%var2:~0,1%
set year2=%var2:~1,2%
set month2=%var2:~3,2%
set day2=%var2:~5,2%
set order2=%var2:~7,3%

NET USE X: \\KENPDC01\ORDER /USER:fwtinc.com\administrator 630doi

:MAKE_JOB_YEAR
IF EXIST X:\JOB\%year% GOTO MAKE_JOB_MONTH ELSE MKDIR X:\JOB\%year%

:MAKE_JOB_MONTH
IF EXIST X:\JOB\%year%\%month% GOTO MAKE_JOB_DAY ELSE MKDIR X:\JOB\%year%\%month%

:MAKE_JOB_DAY
IF EXIST X:\JOB\%year%\%month%\%day% GOTO MAKE_JOB_ORDER ELSE MKDIR X:\JOB\%year%\%month%\%day%

:MAKE_JOB_ORDER
IF EXIST X:\JOB\%year%\%month%\%day%\%order% GOTO MAKE_JOB_REF ELSE mkdir X:\JOB\%year%\%month%\%day%\%order%
mkdir X:\JOB\%year%\%month%\%day%\%order%\Accounting
mkdir X:\JOB\%year%\%month%\%day%\%order%\Correspondence
mkdir X:\JOB\%year%\%month%\%day%\%order%\Cost
mkdir X:\JOB\%year%\%month%\%day%\%order%\Drafting
mkdir X:\JOB\%year%\%month%\%day%\%order%\Drafting\ebook
rem mkdir X:\JOB\%year%\%month%\%day%\%order%\Drafting\dbase
mkdir X:\JOB\%year%\%month%\%day%\%order%\Drafting\shop
mkdir X:\JOB\%year%\%month%\%day%\%order%\Engineering
mkdir X:\JOB\%year%\%month%\%day%\%order%\Purchasing
mkdir X:\JOB\%year%\%month%\%day%\%order%\QA
mkdir X:\JOB\%year%\%month%\%day%\%order%\Shipping


:MAKE_JOB_REF
IF "%2"=="" GOTO SET_JOB_NTFS
mkdir X:\JOB\%year%\%month%\%day%\%order%\z_reference
CACLS X:\JOB\%year%\%month%\%day%\%order%\z_reference /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\z_reference /E /C /P ALL:R <C:\YES.TXT
NET USE B: \\KENPDC01\ORDER\JOB\%year%\%month%\%day%\%order%  /USER:fwtinc.com\administrator 630doi

:SET_JOB_NTFS

CACLS X:\JOB\%year%\%month%\%day%\%order% /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order% /E /C /P ALL:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order% /E /C /P EXEC:F <C:\YES.TXT

CACLS X:\JOB\%year%\%month%\%day%\%order%\Accounting /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Accounting /E /C /P Accounting:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Accounting /E /C /P EXEC:F <C:\YES.TXT

CACLS X:\JOB\%year%\%month%\%day%\%order%\Correspondence /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Correspondence /E /C /P Accounting:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Correspondence /E /C /P EXEC:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Correspondence /E /C /P ALL:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Correspondence /E /C /G ALL:C <C:\YES.TXT

CACLS X:\JOB\%year%\%month%\%day%\%order%\Cost /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Cost /E /C /P Accounting:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Cost /E /C /P EXEC:F <C:\YES.TXT

CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting /E /C /P DRAFTING:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting /E /C /P EXEC:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting /E /C /P Accounting:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting /E /C /P ENGINEER:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting /E /C /P INSPECTOR:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting /E /C /P PRODUCTION:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting /E /C /P PURCHASING:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting /E /C /P SALES:R <C:\YES.TXT
   
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\ebook /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\ebook /E /C /P DRAFTING:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\ebook /E /C /P EXEC:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\ebook /E /C /P Accounting:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\ebook /E /C /P ENGINEER:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\ebook /E /C /P INSPECTOR:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\ebook /E /C /P PRODUCTION:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\ebook /E /C /P PURCHASING:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\ebook /E /C /P SALES:R <C:\YES.TXT


rem CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\dbase /T /C /P Administrators:F <C:\YES.TXT
rem CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\dbase /E /C /P DRAFTING:F <C:\YES.TXT
rem CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\dbase /E /C /P EXEC:F <C:\YES.TXT
rem CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\dbase /E /C /P Accounting:R <C:\YES.TXT
rem CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\dbase /E /C /P ENGINEER:R <C:\YES.TXT
rem CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\dbase /E /C /P INSPECTOR:R <C:\YES.TXT
rem CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\dbase /E /C /P PRODUCTION:R <C:\YES.TXT
rem CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\dbase /E /C /P PURCHASING:R <C:\YES.TXT
rem CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\dbase /E /C /P SALES:R <C:\YES.TXT

CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\shop /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\shop /E /C /P DRAFTING:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\shop /E /C /P EXEC:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\shop /E /C /P Accounting:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\shop /E /C /P ENGINEER:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\shop /E /C /P INSPECTOR:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\shop /E /C /P PRODUCTION:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\shop /E /C /P PURCHASING:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Drafting\shop /E /C /P SALES:R <C:\YES.TXT

CACLS X:\JOB\%year%\%month%\%day%\%order%\Engineering /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Engineering /E /C /P EXEC:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Engineering /E /C /P ENGINEER:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Engineering /E /C /P DRAFTING:R <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Engineering /E /C /P SALES:R <C:\YES.TXT

CACLS X:\JOB\%year%\%month%\%day%\%order%\Purchasing /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Purchasing /E /C /P EXEC:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Purchasing /E /C /P PURCHASING:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Purchasing /E /C /P Accounting:R <C:\YES.TXT

CACLS X:\JOB\%year%\%month%\%day%\%order%\QA /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\QA /E /C /P DRAFTING:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\QA /E /C /P EXEC:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\QA /E /C /P INSPECTOR:F <C:\YES.TXT

CACLS X:\JOB\%year%\%month%\%day%\%order%\Shipping /T /C /P Administrators:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Shipping /E /C /P EXEC:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Shipping /E /C /P SHIPPING:F <C:\YES.TXT
CACLS X:\JOB\%year%\%month%\%day%\%order%\Shipping /E /C /P ALL:R <C:\YES.TXT

c:
IF "%2"=="verbal" GOTO CLEAN_UP
IF "%2"=="Verbal" GOTO CLEAN_UP
IF "%2"=="VERBAL" GOTO CLEAN_UP
cd\
c:\st.exe -c:0 X:\QUOTE\%year2%\%month2%\%day2%\%order2%\Correspondence
c:\st.exe -c:0 X:\QUOTE\%year2%\%month2%\%day2%\%order2%\Engineering
c:\st.exe -c:0 X:\QUOTE\%year2%\%month2%\%day2%\%order2%\QUOTE


:CLEAN_UP
NET USE /DELETE X:
NET USE /DELETE B:

:END
EXIT
